    Set a X-Spec model setting.

set_xsxset(name, value)
name - str
value - str

Set variables used by X-Spec models. It is equivalent to the X-Spec `xset` command [1] , but only for setting the model database settings. See `set_xsabund` , `set_xscosmo` , and

`set_xsxsect` for the other settings.

>>> set_xsxset('NEIVERS', '2.0')
>>> set_xsxset('NEIAPECROOT', '/data/spectral/modelData/APEC_nei_v11')
>>> set_xsxset('POW_EMIN', '0.5') >>> set_xsxset('POW_EMAX', '2.0')

PARAMETERS

The parameters for this function are:

Parameter
Definition
name
The name of the setting. It is converted to upper case before being used. There is no check that the name is valid.
value
The new value of the setting. It must be given as a string.

Notes

The available settings are listed at [1] . Not all the X-Spec model types are supported by Sherpa - for instance X-Spec "mixing models" - so changing some of these settings will make no difference. The X-Spec chatter setting can be increased with

`set_xschatter` if it is not clear if a setting is being used.

The model settings are stored so that they can be included in the output of `save_all` .

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSabund.html Note that this may refer to a newer version than the compiled version used by Sherpa; use `get_xsversion` to check.

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023